Skip to main content

Retrieve comments

You can retrieve comments created on a candidate using the API.

Request

This method allows you to retrieve comments created on a candidate:

GET /company/{companyID}/applicant/{applicantID}/comments

Run in Postman

Parameters

ParameterInTypeRequiredDescriptionExample
companyIDpathstring
✔️
Company identifier0GjqBwprWAdArDl4
applicantIDpathstring
✔️
Candidate idADYjo9mGxZdkR0ry
fieldsquerystringFields to display, separated by a commaauthor, attachments

Request example

cURL request
curl -X GET 'https://api.flatchr.io/company/0GjqNwprWAdArDl4/applicant/ADYjo9mGxZdkR0ry/comments?fields=author'
-H "Authorization: Bearer {token}"
-H 'Content-Type: application/json'

Response

NameTypeDescription
idintegerComment identifier
textstringComment content
privatebooleanWhether the comment is private
favoritebooleanWhether the comment is favorited
created_byintegerComment author identifier
created_attimestampComment creation date
typestringComment type
reply_tointegerParent comment identifier if this comment is a reply to an existing comment
authorauthorComment author
attachmentsattachmentsComment attachments

Response example

[
{
"id": 3499,
"text": "<p>- Can you introduce yourself?<br>- What do you know about our company?<br>- Why do you want to leave your current position?</p>",
"private": false,
"favorite": false,
"created_by": 391,
"created_at": "2022-02-04T10:39:28.178Z",
"reply_to": null,
"author": {
"id": "lVq5r8pYXkNAmMvP",
"firstname": "XXXX",
"lastname": "XXXX"
}
},
{
"id": 3615,
"text": "<p>Excellent answers to the questions</p>",
"private": false,
"favorite": false,
"created_by": 391,
"created_at": "2022-02-15T16:18:14.322Z",
"reply_to": 3499,
"author": {
"id": "lVq5r8pYXk9AmMvP",
"firstname": "XXXX",
"lastname": "XXXX"
}
}
]